ListRunsInBatch
Returns a paginated list of individual workflow runs within a specific batch. Use this operation to map each runSettingId to its HealthOmics-generated runId, and to check the submission status of each run. Only one filter per call is supported.
Request Syntax
GET /runBatch/batchId/run?maxItems=maxItems&runId=runId&runSettingId=runSettingId&startingToken=startingToken&submissionStatus=submissionStatus HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- batchId
-
The identifier portion of the run batch ARN.
Length Constraints: Minimum length of 1. Maximum length of 18.
Pattern:
[0-9]+Required: Yes
- maxItems
-
The maximum number of runs to return.
Valid Range: Minimum value of 1. Maximum value of 100.
- runId
-
Filter runs by the HealthOmics-generated run ID.
- runSettingId
-
Filter runs by the customer-provided run setting ID.
- startingToken
-
A pagination token returned from a prior
ListRunsInBatchcall.Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+ - submissionStatus
-
Filter runs by submission status.
Length Constraints: Minimum length of 1. Maximum length of 64.
Valid Values:
SUCCESS | FAILED | CANCEL_SUCCESS | CANCEL_FAILED | DELETE_SUCCESS | DELETE_FAILED
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"runs": [
{
"runArn": "string",
"runId": "string",
"runInternalUuid": "string",
"runSettingId": "string",
"submissionFailureMessage": "string",
"submissionFailureReason": "string",
"submissionStatus": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
A pagination token to retrieve the next page of results. Absent when the last run has been returned.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+ - runs
-
A list of run entries in the batch. See
RunBatchListItem.Type: Array of RunBatchListItem objects
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request cannot be applied to the target resource in its current state.
HTTP Status Code: 409
- InternalServerException
-
An unexpected error occurred. Try the request again.
HTTP Status Code: 500
- RequestTimeoutException
-
The request timed out.
HTTP Status Code: 408
- ResourceNotFoundException
-
The target resource was not found in the current Region.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request exceeds a service quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: